Subject: Re: CRLF fun stuff again...

From: Donald Lee <[email-masked]>
Date: Sat, 15 Sep 2001 13:55:21 -0500

At the risk of re-igniting an old brush fire, I want to keep
my promise and report back to this list what I have found.

I finally got around to re-loading one of my old, corrupted backup files
that had gotten me interested in this subject.

The backup files were made with "tar -czf atalkfile /user/homedir*"
on the system hosting the netatalk server.
Retrospect was then used to back up the atalkfile.  It worked fine
until I upgraded from the vanilla umich version to the asun version.
I then found that the CR/LF conversion had been done (even though I
explicitly disabled it in both builds)  (Another issue is my
very sloppy testing of the backup scheme - shame, shame!)

This conversation gave me hope that I could recover that data, but alas,
on re-loading these files several weeks ago, and writing a utility that swaps
CR/LF and LF/CR, I find that whatever the umich version did was
*not* symmetrical.  I don't have the data in front of me, but the
program found all of one char and none of the other, and the re-converted
files were still trash.

So, whatever the outcome of the discussion (I no longer subscribe to the list)
the old umich version did *not* do symmetrical CR/LF conversion.

-dgl-

>Date: Sat, 10 Feb 2001 13:45:10 -0600
>To: [email-masked], Duncan Sinclair <[email-masked]>
>From: Donald Lee <[email-masked]>
>Subject: Re: CRLF fun stuff again...
>
>At 10:03 AM -0600 2/10/01, Duncan Sinclair wrote:
>>
>>...
>>
>>>The transformations you're using aren't the ones that netatalk does 
>>>(or at least netatalk did in the past before I turned it off).  These 
>>>are reversible.  netatalk does
>>>
>>>tr '\r' '\n'  to Unix and tr '\n' '\r' to Mac OS.
>>>
>>>That's why people are warning about data corruption.
>>
>>Guess what?  You're wrong.  If people are going to try to tell me I'm
>>wrong, please do the research first!
>>
>
>My apologies.  This is symmetric and reversible, although a little odd. ;->
>
>I still don't see a way to reliably determine the actual type of the data,
>but as long as the transformation is reversible, no irreparable harm can
>be done by it.  This information changes the feature from being dangerous to
>being questionable.   Questionable features are appropriate as options for
>those who have a need.
>
>As atonement for not doing my homework I will go and reexamine some 
>data files that I had heretofore considered lost due to this transformation
>and report back to this list if it is truly reversible (at which
>point I will be very happy).
>
>-dgl-